Subject: Re: Losing data with routine cp and mv -- "cannot create hard link"
From: Thomas Baker <[email-masked]>
To: Bjoern Kahl AG Resy <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Jan 2003 16:51:15 +0100

Dear Bjoern,

This sounds very plausible and fits with my impression that
the files which cause problems are really random, with no
obvious pattern or periodicity, and with my observation that
this problem seems to come up even more frequently when I move
files from one machine to another (notably slow) machine than
when I just copy them between partitions on the same machine.

Many thanks for sharing your observation.
Tom

On Thu, Jan 16, 2003 at 11:19:14AM +0100, Bjoern Kahl AG Resy wrote:
>  I do not know what is going on really, but I have seen something
>  like that before.
> 
> On Thu, 16 Jan 2003, Thomas Baker wrote:
> 
> >    If cp and mv are not reliably copying all of the contents
> >    of an (apparently) normal directory tree with 89,000 normal
> >    data files, of 1.4 GB total size, using WIN2000 and NTFS,
> >    is it most likely due to inherent size limits of cygwin?
> 
>   <wild guessing mode>
> 
>  There seems to be a random delay in the NT-Filesystem when renaming
>  files. This can be easily triggert on smb-shares, but also on
>  "normal" drives.
> 
>  If renaming (that is: moving around) files, there is a short,
>  load-dependend delay between removing the old direktory entry and
>  creating the new one. This can even be observed in the windows
>  explorer, and I *think* that is not a slow-gui-issue, but the file
>  is *really* *not* *there* form some time.
> 
>  </wild guessing mode>
> 
>  So dont think there is any thing cygwin can do.
> 
> > If the problems are due to inherent limits, then I can
> > adjust by copying such big directories in smaller chunks,
> > as I have already done successfully.  I just want to make
> > sure that this is in fact the problem.
> 
>  If I move/copy some files over the net, I add sleep instructions
>  ("for i in * ; do mv $i $i.bak ; sleep 1 ; sed <$i.bak >$i ... ; done")
>  slow, but works. On *my* system, the magic number is around 50 files.
>  Less than 50 files works without sleep, more files require the
>  sleep. (Else I get a lot random "No such file xxx.bak".)
> 
> 
>    Bjoern
> 
> -- 
> +---------------------------------------------------------------------+
> | Dipl.-Phys. Bjoern Kahl +++ AG Embedded Systems and Robotics (RESY) |
> | Informatics Faculty +++ Building 48 +++ University of Kaiserslautern|
> | phone: +49-631-205-2654 +++ www: http://resy.informatik.uni-kl.de   |
> +---------------------------------------------------------------------+
> 

-- 
Dr. Thomas Baker                                [email-masked]
Institutszentrum Schloss Birlinghoven          mobile +49-171-408-5784
Fraunhofer-Gesellschaft                          work +49-30-8109-9027
53754 Sankt Augustin, Germany                    fax +49-2241-144-2352

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/